Skip to main content
POST
/
v2
/
organizations
/
{entityId}
/
serviceprofiles
/
{serviceName}
/
workflows
/
{workflowName}
/
evaluate
Evaluate a workflow for the given organization entityId
curl --request POST \
  --url https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/workflows/{workflowName}/evaluate \
  --header 'Content-Type: application/json' \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>' \
  --data '
{
  "organization": {
    "externalReferences": [
      {
        "name": "CUSTOMER-REFERENCE",
        "value": "CUST-00001342",
        "description": "This is the customer ID in the core banking system."
      }
    ]
  },
  "comment": {
    "text": "Update after speaking to customer over the phone directly.",
    "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "entityType": "INDIVIDUAL"
  }
}
'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "workflowExecutionId": "e39b46ca-514b-4730-8caf-7ab423831ff1",
  "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "serviceName": "<string>",
  "serviceProfileId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_key
string
header
required

Headers

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Background
enum<integer>

If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See our callback API for details on this.

Available options:
0,
1
X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Path Parameters

entityId
string
required

Unique FrankieOne identifier for an entity

serviceName
string
required

The unique name of the service profile

workflowName
string
required

The unique name of the workflow

Body

application/json
organization
object

The organization on which the workflow is run is updated with the details provided.

comment
object

Response

Asynchronous evaluation request accepted, use workflowExecutionId to retrieve results

requestId
string

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

workflowExecutionId
string
read-only

The execution ID (formerly known as Check ID) representing a single workflow execution instance.

Example:

"e39b46ca-514b-4730-8caf-7ab423831ff1"

entityId
string
read-only

Entities are assigned a FrankieOne auto-generated UUID to ensure global uniqueness, represented as entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

serviceName
string

name of the service profile of the organization against which the workflow is executed

serviceProfileId
string

id of the service profile of the organization against which the workflow is executed